Project

General

Profile

Bug #30757

Trouble with candlepin packages

Added by James Shewey 5 months ago. Updated 2 months ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

When attempting to install candlepin and candlepin-selinux from https://fedorapeople.org/groups/katello/releases/yum/3.16/candlepin/el8/x86_64/ on EL8, I receive from dnf the message "Error: Transaction failed"

If I download and manually install these packages using the RPM command, I then instead receive the error:

error: unpacking of archive failed on file /etc/candlepin/candlepin.conf;5f4e9403: cpio: Digest mismatch

I am able to work around this by adding the --nofiledigest to the RPM command.

History

#1 Updated by Ewoud Kohl van Wijngaarden 2 months ago

  • Status changed from New to Closed

EL8 is not supported yet, especially with 3.16. They were published for testing but have since been removed to set the expectations right. Do know that it's being worked on, but due to Pulp 2 it's much bigger than we'd like.

Also available in: Atom PDF